gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-taler-mdb] branch master updated: do not get confused by sleep


From: gnunet
Subject: [taler-taler-mdb] branch master updated: do not get confused by sleep
Date: Sun, 14 Jan 2024 18:06:36 +0100

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository taler-mdb.

The following commit(s) were added to refs/heads/master by this push:
     new 5a821a0  do not get confused by sleep
5a821a0 is described below

commit 5a821a0ef9bd9c2602a63f77b1e9c1bae31722a4
Author: Christian Grothoff <grothoff@gnunet.org>
AuthorDate: Sun Jan 14 18:06:33 2024 +0100

    do not get confused by sleep
---
 contrib/taler-mdb-network-check.sh | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/contrib/taler-mdb-network-check.sh 
b/contrib/taler-mdb-network-check.sh
index 3276743..d8e220a 100755
--- a/contrib/taler-mdb-network-check.sh
+++ b/contrib/taler-mdb-network-check.sh
@@ -121,15 +121,15 @@ function show_failure()
 # Function to run when our child died.
 function childdeath()
 {
-    if [ "$ERROR_PID" != "-1" ]
+    if ! ps "$ERROR_PID" &> /dev/null
     then
-        wait ${ERROR_PID}
+        wait "${ERROR_PID}"
         ERROR_PID="-1"
     fi
-    if [ "$CHILD_PID" != "-1" ]
+    if ! ps "$CHILD_PID" &> /dev/null
     then
        echo "taler-mdb died"
-        wait ${CHILD_PID}
+        wait "${CHILD_PID}"
         CHILD_PID="-1"
         show_failure child-died
     fi

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]